{% extends "common/base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load main_tags %}

{% block title %}
    Login
{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-4">
            </div>
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <div class="card margin_top_default">
                            <div class="card-body">
                                <form method="post">
                                    {% csrf_token %}
                                    <p class="mt-4">
                                        {{ form|crispy}}
                                        {{ forme.errors }}
                                    </p>
                                    <div class="custom-control custom-checkbox text-left mt-5 text-center">
                                        <input type="checkbox" checked="checked" class="custom-control-input" id="customCheck1">
                                        <label class="custom-control-label active" for="customCheck1">Remember me</label>
                                    </div>
                                    <p class="mt-4">
                                        <a href="{% url 'signup' %}">Registration</a> | <a href="{% url 'password_reset' %}">I forgot my password</a>
                                    </p>
                                    <p class="mt-4">
                                        <button class="btn btn-primary btn-lg active" type="submit">Login</button>
                                    </p>
                                </form>
                                    <hr>
                                    <h5 class="mt-4">Or you can log in with your account in:</h5>
                                    <div>
                                        <button type="button" class="btn btn-dark"><img src="{% static 'images/btn--face__rounded.png' %}"></button>
                                        <button type="button" class="btn btn-dark"><img src="{% static 'images/btn--in__rounded.png' %}"></button>
                                        <button type="button" class="btn btn-dark"><img src="{% static 'images/btn--vk__rounded.png' %}"></button>
                                    </div>
                                <hr>
                                <p class="mt-5">
                                    <a href="{% url 'posts_list_url' %}" class="btn btn-outline-primary">Continue as a guest</a>
                                </p>
                                <div class="mt-5">
                                    <!-- Button trigger ModalPrivacyPolicy -->
                                    <a href="#" data-toggle="modal" data-target="#ModalPrivacyPolicy">Privacy Policy</a>
                                    <h6 class="text-muted font-weight-normal">Network © {% now "Y" %}</h6>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
            </div>
            <!-- ModalPrivacyPolicy -->
            {% get_privacy_policy as privacy %}
            {% if privacy is not None %}
                <div class="modal fade" id="ModalPrivacyPolicy" tabindex="-1" role="dialog" aria-labelledby="ModalPrivacyPolicyTitle" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title {% if privacy.body is None %} text-danger {% endif %} font-weight-bold" id="ModalPrivacyPolicyTitle">{{ privacy.title }}</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p class="font-weight-bold text-muted">{% if privacy.body is not None %} Version {% endif %}{{ privacy.version }}</p>
                                {{ privacy.body }}
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Got it!</button>
                            </div>
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}